Cleanup of docker images

This commit is contained in:
Manuel Alejandro de Brito Fontes 2019-09-03 15:33:11 -04:00
parent d7dc7be276
commit dc20551288
No known key found for this signature in database
GPG key ID: 786136016A8BA02A
20 changed files with 48 additions and 45 deletions

View file

@ -1,40 +0,0 @@
# Copyright 2018 The Kubernetes Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
FROM alpine:3.10
RUN apk update && apk add --no-cache \
bash \
git \
git-fast-import \
openssh \
python3 \
python3-dev \
curl \
&& python3 -m ensurepip \
&& rm -r /usr/lib/python*/ensurepip \
&& pip3 install --upgrade pip setuptools \
&& rm -r /root/.cache \
&& rm -rf /var/cache/apk/*
RUN curl -sSL https://raw.githubusercontent.com/kubernetes/ingress-nginx/master/requirements-docs.txt -o requirements.txt \
&& pip install -U -r requirements.txt
WORKDIR /docs
EXPOSE 3000
COPY entrypoint.sh /
ENTRYPOINT ["/entrypoint.sh"]

View file

@ -1,28 +0,0 @@
#!/bin/bash
# Copyright 2018 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set -o errexit
set -o pipefail
CMD=$1
if [ "$CMD" == "build" ];
then
mkdocs build
exit 0;
fi
mkdocs serve --dev-addr=0.0.0.0:3000 --livereload

View file

@ -30,7 +30,7 @@ function cleanup {
}
trap cleanup EXIT
E2E_IMAGE=quay.io/kubernetes-ingress-controller/e2e:v06262019-ecce3fd7b
E2E_IMAGE=quay.io/kubernetes-ingress-controller/e2e:v09032019-b807fb5d2
DOCKER_OPTS=${DOCKER_OPTS:-}